### Hierarchy

- unknown
  - SignContractRequest

## Index

### Constructors

- constructor

### Methods

- clearPubKeyRing
- clearSenderNodeAddress
- getAccountId
- getCurrentDate
- getDepositTxHash
- getPaymentAccountPayloadHash
- getPaymentAccountPayloadHash_asB64
- getPaymentAccountPayloadHash_asU8
- getPayoutAddress
- getPubKeyRing
- getSenderNodeAddress
- getTradeId
- getUid
- hasPubKeyRing
- hasSenderNodeAddress
- serializeBinary
- setAccountId
- setCurrentDate
- setDepositTxHash
- setPaymentAccountPayloadHash
- setPayoutAddress
- setPubKeyRing
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SignContractRequest(): SignContractRequest

- Inherited from jspb.Message.constructor

  #### Returns SignContractRequest

## Methods

### clearPubKeyRing

- clearPubKeyRing(): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1405

  #### Returns SignContractRequest

### clearSenderNodeAddress

- clearSenderNodeAddress(): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1400

  #### Returns SignContractRequest

### getAccountId

- getAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1413

  #### Returns string

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:1410

  #### Returns number

### getDepositTxHash

- getDepositTxHash(): string

- - Defined in src/protobuf/pb_pb.d.ts:1424

  #### Returns string

### getPaymentAccountPayloadHash

- getPaymentAccountPayloadHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1416

  #### Returns string | Uint8Array

### getPaymentAccountPayloadHash_asB64

- getPaymentAccountPayloadHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1418

  #### Returns string

### getPaymentAccountPayloadHash_asU8

- getPaymentAccountPayloadHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1417

  #### Returns Uint8Array

### getPayoutAddress

- getPayoutAddress(): string

- - Defined in src/protobuf/pb_pb.d.ts:1421

  #### Returns string

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:1402

  #### Returns undefined | PubKeyRing

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1397

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1394

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1407

  #### Returns string

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1404

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1399

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1427

  #### Returns Uint8Array

### setAccountId

- setAccountId(value: string): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1414

  #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

### setCurrentDate

- setCurrentDate(value: number): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1411

  #### Parameters

  - ##### value: number

  #### Returns SignContractRequest

### setDepositTxHash

- setDepositTxHash(value: string): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1425

  #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

### setPaymentAccountPayloadHash

- setPaymentAccountPayloadHash(value: string | Uint8Array): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1419

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignContractRequest

### setPayoutAddress

- setPayoutAddress(value: string): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1422

  #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1403

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns SignContractRequest

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1398

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns SignContractRequest

### setTradeId

- setTradeId(value: string): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1395

  #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

### setUid

- setUid(value: string): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1408

  #### Parameters

  - ##### value: string

  #### Returns SignContractRequest

### toObject

- toObject(includeInstance?: boolean): SignContractRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1428

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SignContractRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1431

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignContractRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignContractRequest, reader: BinaryReader): SignContractRequest

- - Defined in src/protobuf/pb_pb.d.ts:1432

  #### Parameters

  - ##### message: SignContractRequest

  - ##### reader: BinaryReader

  #### Returns SignContractRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SignContractRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1430

  #### Parameters

  - ##### message: SignContractRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SignContractRequest ): SignContractRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1429

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignContractRequest

  #### Returns SignContractRequest . AsObject

Generated using TypeDoc